StatusHandler (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.server.gcube.services
Class StatusHandler

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.server.gcube.services.StatusHandler

    public class StatusHandler

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static String` | `USER_EMAIL_KEY`

Constructor Summary
`StatusHandler()`

Method Summary
`static void` | `clearStatus(javax.servlet.http.HttpSession session)`
`static org.gcube.resourcemanagement.support.client.utils.CurrentStatus` | `getStatus(javax.servlet.http.HttpSession session)`
`static void` | `setStatus(javax.servlet.http.HttpSession session, org.gcube.resourcemanagement.support.client.utils.CurrentStatus status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_EMAIL_KEY

    public static final String USER_EMAIL_KEY

See Also:
  Constant Field Values

Constructor Detail

### StatusHandler

    public StatusHandler()

Method Detail

### setStatus

    public static final void setStatus(javax.servlet.http.HttpSession session,
                                       org.gcube.resourcemanagement.support.client.utils.CurrentStatus status)

### clearStatus

    public static final void clearStatus(javax.servlet.http.HttpSession session)

### getStatus

    public static final org.gcube.resourcemanagement.support.client.utils.CurrentStatus getStatus(javax.servlet.http.HttpSession session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.